Index: branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90
===================================================================
--- branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 3313)
+++ branches/2012/dev_r3309_LOCEAN12_Ediag/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 3318)
@@ -5,13 +5,15 @@
    !!                 recoded version of simplest case (u*, v* only)
    !!======================================================================
-   !! History :  1.0  !  2007-06  (Michael Dunphy)  Modular form: - new namelist parameters
-   !!                                                             - horizontal diffusion for Neptune
-   !!                                                             - vertical diffusion for gm in momentum eqns
-   !!                                                             - option to use Neptune in Coriolis eqn
+   !! History :  1.0  !  2007-06  (Zeliang Wang, Michael Dunphy, BIO)  Original code
+   !!                             Modular form: - new namelist parameters
+   !!                                           - horizontal diffusion for Neptune
+   !!                                           - vertical diffusion for gm in momentum eqns
+   !!                                           - option to use Neptune in Coriolis eqn
    !!                    2011-08  (Jeff Blundell, NOCS) Simplified form for temporally invariant u*, v*
-   !!                                               Horizontal and vertical diffusivity formulations removed
-   !!                                               Dynamic allocation of storage added
-   !!                                               Option of ramping Neptune vel. down
-   !!                                               to zero added in shallow depths added
+   !!                             Horizontal and vertical diffusivity formulations removed
+   !!                             Dynamic allocation of storage added
+   !!                             Option of ramping Neptune vel. down to zero added in shallow depths added
+   !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !! dynnept_alloc        :
@@ -30,23 +32,17 @@
    USE phycst
    USE lbclnk
-   USE wrk_nemo        ! Memory Allocation
+   USE wrk_nemo         ! Memory Allocation
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dyn_nept_init      ! routine called by nemogcm.F90
-   PUBLIC dyn_nept_cor       ! routine called by step.F90
-   !! dynnept_alloc()         is called only by dyn_nept_init, within this module
-   !! dyn_nept_div_cur_init   is called only by dyn_nept_init, within this module
-   !! dyn_nept_vel            is called only by dyn_nept_cor,  within this module
-
-   !! * Shared module variables
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)    :: zunep, zvnep  ! Neptune u and v
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  :: zhdivnep      ! hor. div for Neptune vel.
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)  :: zmrotnep      ! curl for Neptune vel.
-
-
-   !! * Namelist namdyn_nept variables
+   PUBLIC   dyn_nept_init   ! routine called by nemogcm.F90
+   PUBLIC   dyn_nept_cor    ! routine called by step.F90
+
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   :: zunep, zvnep   ! Neptune u and v
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: zhdivnep       ! hor. div for Neptune vel.
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) :: zmrotnep       ! curl for Neptune vel.
+
+   !                                                 !!* Namelist namdyn_nept variables
    LOGICAL, PUBLIC  ::  ln_neptsimp        = .FALSE.  ! yes/no simplified neptune
 
@@ -60,14 +56,12 @@
    REAL(wp)         ::  rn_htrmax          =  200.0   ! max. depth of transition range
 
-   !! * Module variables
-
-
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , implemented by Bedford Institute of Oceanography
-   !!----------------------------------------------------------------------
-
+   !! NEMO/OPA 3.3 , NEMO Consortium (2011)
+   !! $Id: dynadv_cen2.F90 3316 2012-02-21 16:00:02Z gm $
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
  CONTAINS
 
@@ -90,16 +84,10 @@
       !!                and compute the arrays zunep and zvnep
       !!
-      !! ** Method  :   zunep =
-      !!                zvnep =
-      !!
-      !! ** History :  1.0  !   07-05  (Zeliang Wang)   Original code for zunep, zvnep
-      !!               1.1  !   07-06  (Michael Dunphy) namelist and  initialisation
-      !!               2.0  ! 2011-07  (Jeff Blundell, NOCS)
-      !!                    ! Simplified form for temporally invariant u*, v*
-      !!                    ! Horizontal and vertical diffusivity formulations removed
-      !!                    ! Includes optional tapering-off in shallow depths
+      !! ** Method  :   Simplified form for temporally invariant u*, v*
+      !!                Horizontal and vertical diffusivity formulations removed
+      !!                Includes optional tapering-off in shallow depths
       !!----------------------------------------------------------------------
       USE iom
-      !!
+      !
       INTEGER  ::   ji, jj, jk    ! dummy loop indices
       REAL(wp) :: unemin,unemax,vnemin,vnemax   ! extrema of (u*, v*) fields
@@ -122,10 +110,6 @@
       ! ==========================================
 
-!!    WRITE(numout,*) ' start dynnept namelist'
-!!    CALL FLUSH(numout)
       REWIND( numnam )                  ! Read Namelist namdyn_nept:  Simplified Neptune
       READ  ( numnam, namdyn_nept )
-!!    WRITE(numout,*) ' dynnept namelist done'
-!!    CALL FLUSH(numout)
 
       IF(lwp) THEN                      ! Control print
@@ -172,6 +156,6 @@
 
       IF( .not. ln_rstart ) THEN      ! If restarting, these arrays are read from the restart file
-         zhdivnep(:,:,:) = 0.0_wp
-         zmrotnep(:,:,:) = 0.0_wp
+         zhdivnep(:,:,:) = 0._wp
+         zmrotnep(:,:,:) = 0._wp
       END IF
 
@@ -361,19 +345,4 @@
       !! ** Action  : - compute zhdivnep, the hor. divergence of (u*, v*)
       !!              - compute zmrotnep, the rel. vorticity  of (u*, v*)
-      !!
-      !! History :  OPA  ! 1987-06  (P. Andrich, D. L Hostis)  Original code
-      !!            4.0  ! 1991-11  (G. Madec)
-      !!            6.0  ! 1993-03  (M. Guyon)  symetrical conditions
-      !!            7.0  ! 1996-01  (G. Madec)  s-coordinates
-      !!            8.0  ! 1997-06  (G. Madec)  lateral boundary cond., lbc
-      !!            8.1  ! 1997-08  (J.M. Molines)  Open boundaries
-      !!            8.2  ! 2000-03  (G. Madec)  no slip accurate
-      !!  NEMO      1.0  ! 2002-09  (G. Madec, E. Durand)  Free form, F90
-      !!             -   ! 2005-01  (J. Chanut) Unstructured open boundaries
-      !!             -   ! 2003-08  (G. Madec)  merged of cur and div, free form, F90
-      !!             -   ! 2005-01  (J. Chanut, A. Sellar) unstructured open boundaries
-      !!            3.3  ! 2010-09  (D.Storkey and E.O'Dea) bug fixes for BDY module
-      !!                 ! 2011-06  (Jeff Blundell, NOCS) Adapt code from divcur.F90
-      !!                 !           to compute Neptune effect fields only
       !!----------------------------------------------------------------------
       !
@@ -517,5 +486,4 @@
 
    SUBROUTINE dyn_nept_smooth_vel( htold, htnew, ld_option )
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE dyn_nept_smooth_vel  ***
@@ -607,3 +575,4 @@
    END SUBROUTINE dyn_nept_smooth_vel
 
+   !!==============================================================================
 END MODULE dynnept
